Package org.h2.mvstore

# Class Chunk.PositionComparator<C extends Chunk<C>>

java.lang.Object
org.h2.mvstore.Chunk.PositionComparator<C>

All Implemented Interfaces:
  `Comparator<C>`

Enclosing class:
  Chunk<C extends Chunk<C>>

public static final class Chunk.PositionComparator<C extends Chunk<C>> extends Object implements Comparator<C>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Comparator<? extends Chunk<?>>`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(C one, C two)`
`static <C extends Chunk<C>>
Comparator<C>`
`instance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Field Details

### INSTANCE

public static final Comparator<? extends Chunk<?>> INSTANCE

## Method Details

### instance

public static <C extends Chunk<C>> Comparator<C> instance()

### compare

public int compare(C one, C two)

Specified by:
  `compare` in interface `Comparator<C extends Chunk<C>>`